<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'WSI2_CreationExpedition' => '\\StructType\\WSI2_CreationExpedition',
            'WSI2_CreationExpeditionResponse' => '\\StructType\\WSI2_CreationExpeditionResponse',
            'ret_WSI2_CreationExpedition' => '\\StructType\\Ret_WSI2_CreationExpedition',
            'ret_' => '\\StructType\\Ret_',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'WSI2_CreationEtiquette' => '\\StructType\\WSI2_CreationEtiquette',
            'WSI2_CreationEtiquetteResponse' => '\\StructType\\WSI2_CreationEtiquetteResponse',
            'ret_WSI2_CreationEtiquette' => '\\StructType\\Ret_WSI2_CreationEtiquette',
            'WSI3_GetEtiquettes' => '\\StructType\\WSI3_GetEtiquettes',
            'WSI3_GetEtiquettesResponse' => '\\StructType\\WSI3_GetEtiquettesResponse',
            'ret_WSI3_GetEtiquettes' => '\\StructType\\Ret_WSI3_GetEtiquettes',
            'ret_WSI2_GetEtiquettes' => '\\StructType\\Ret_WSI2_GetEtiquettes',
            'WSI2_GetEtiquettes' => '\\StructType\\WSI2_GetEtiquettes',
            'WSI2_GetEtiquettesResponse' => '\\StructType\\WSI2_GetEtiquettesResponse',
            'WSI2_RechercheCP' => '\\StructType\\WSI2_RechercheCP',
            'WSI2_RechercheCPResponse' => '\\StructType\\WSI2_RechercheCPResponse',
            'ret_WSI2_RechercheCP' => '\\StructType\\Ret_WSI2_RechercheCP',
            'ArrayOfCommune' => '\\ArrayType\\ArrayOfCommune',
            'Commune' => '\\StructType\\Commune',
            'WSI3_PointRelais_Recherche' => '\\StructType\\WSI3_PointRelais_Recherche',
            'WSI3_PointRelais_RechercheResponse' => '\\StructType\\WSI3_PointRelais_RechercheResponse',
            'ret_WSI3_PointRelais_Recherche' => '\\StructType\\Ret_WSI3_PointRelais_Recherche',
            'ArrayOfPointRelais_Details' => '\\ArrayType\\ArrayOfPointRelais_Details',
            'PointRelais_Details' => '\\StructType\\PointRelais_Details',
            'ArrayOfPeriode' => '\\ArrayType\\ArrayOfPeriode',
            'Periode' => '\\StructType\\Periode',
            'WSI4_PointRelais_Recherche' => '\\StructType\\WSI4_PointRelais_Recherche',
            'WSI4_PointRelais_RechercheResponse' => '\\StructType\\WSI4_PointRelais_RechercheResponse',
            'WSI2_AdressePointRelais' => '\\StructType\\WSI2_AdressePointRelais',
            'WSI2_AdressePointRelaisResponse' => '\\StructType\\WSI2_AdressePointRelaisResponse',
            'ret_WSI2_AdressePointRelais' => '\\StructType\\Ret_WSI2_AdressePointRelais',
            'WSI2_DetailPointRelais' => '\\StructType\\WSI2_DetailPointRelais',
            'WSI2_DetailPointRelaisResponse' => '\\StructType\\WSI2_DetailPointRelaisResponse',
            'ret_WSI2_DetailPointRelais' => '\\StructType\\Ret_WSI2_DetailPointRelais',
            'WSI2_RecherchePointRelais' => '\\StructType\\WSI2_RecherchePointRelais',
            'WSI2_RecherchePointRelaisResponse' => '\\StructType\\WSI2_RecherchePointRelaisResponse',
            'ret_WSI2_RecherchePointRelais' => '\\StructType\\Ret_WSI2_RecherchePointRelais',
            'ret_WSI2_sub_PointRelais' => '\\StructType\\Ret_WSI2_sub_PointRelais',
            'WSI2_RecherchePointRelaisAvancee' => '\\StructType\\WSI2_RecherchePointRelaisAvancee',
            'WSI2_RecherchePointRelaisAvanceeResponse' => '\\StructType\\WSI2_RecherchePointRelaisAvanceeResponse',
            'ret_WSI2_RecherchePointRelaisAvancee' => '\\StructType\\Ret_WSI2_RecherchePointRelaisAvancee',
            'ArrayOfRet_WSI2_sub_PointRelaisAvancee' => '\\ArrayType\\ArrayOfRet_WSI2_sub_PointRelaisAvancee',
            'ret_WSI2_sub_PointRelaisAvancee' => '\\StructType\\Ret_WSI2_sub_PointRelaisAvancee',
            'WSI2_RecherchePointRelaisHoraires' => '\\StructType\\WSI2_RecherchePointRelaisHoraires',
            'WSI2_RecherchePointRelaisHorairesResponse' => '\\StructType\\WSI2_RecherchePointRelaisHorairesResponse',
            'ret_WSI2_RecherchePointRelaisHoraires' => '\\StructType\\Ret_WSI2_RecherchePointRelaisHoraires',
            'ArrayOfRet_WSI2_sub_PointRelaisHoraires' => '\\ArrayType\\ArrayOfRet_WSI2_sub_PointRelaisHoraires',
            'ret_WSI2_sub_PointRelaisHoraires' => '\\StructType\\Ret_WSI2_sub_PointRelaisHoraires',
            'WSI2_TracingColisDetaille' => '\\StructType\\WSI2_TracingColisDetaille',
            'WSI2_TracingColisDetailleResponse' => '\\StructType\\WSI2_TracingColisDetailleResponse',
            'ret_WSI2_TracingColisDetaille' => '\\StructType\\Ret_WSI2_TracingColisDetaille',
            'ArrayOfRet_WSI2_sub_TracingColisDetaille' => '\\ArrayType\\ArrayOfRet_WSI2_sub_TracingColisDetaille',
            'ret_WSI2_sub_TracingColisDetaille' => '\\StructType\\Ret_WSI2_sub_TracingColisDetaille',
            'WSI2_STAT_Label' => '\\StructType\\WSI2_STAT_Label',
            'WSI2_STAT_LabelResponse' => '\\StructType\\WSI2_STAT_LabelResponse',
            'WSI2_STAT_Labels' => '\\StructType\\WSI2_STAT_Labels',
            'WSI2_STAT_LabelsResponse' => '\\StructType\\WSI2_STAT_LabelsResponse',
            'ArrayOfArrayOfString' => '\\ArrayType\\ArrayOfArrayOfString',
        );
    }
}
